+   UPDATE [3.2.1]
    By: JustTimm

Changes
- Updated the first-person blocking positions for all lightsabers.
- Updated the first-person position of the following lightsabers:
	- Cal Kestis' Lightsaber (Crossguard)
	- Ezra Bridger's Lightsaber (Green)
	- Sabine Wren's Lightsaber

Fixes
- Fixed an rendering issue where parts of every lightsaber hilt was invisible caused by the lightsaber blade in first person in 26.2.
- Fixed the translation for Yoda's Lightsaber in the Respackopts LANG file from "Yoda Lightsaber" to "Yoda's Lightsaber".
- Fixed an issue where "Pong Krell's Lightsaber (Green)" was missing files for the Green single blade Respackopts customization option.

--------------------------------------------------------------------------------
+   UPDATE [3.2]
    By: JustTimm

Version
- Now supports 1.20.2 up to 26.3.

Additions
- Revan's Lightsaber (Redeemed)
- Revan's Lightsaber (Fallen)
- Cere Junda's Lightsaber (Jedi Knight)
- Cal Kestis' Split Lightsaber (Merged)
- Cal Kestis' Lightsaber (Merged)
- Cal Kestis' Shoto Lightsaber (Merged)

Changes
- Updated the model of "Cal Kestis' Lightsaber (Inquisitor)" to "Cal Kestis' Split Lightsaber (Merged)" model to match Fallen Order.
- Separated the texture file for the following lightsabers (no visual changes):
	- Ahsoka Tano's Lightsaber (Green) & Ahsoka Tano's Shoto Lightsaber (Green).
	- Ahsoka Tano's Lightsaber (Blue) & Ahsoka Tano's Shoto Lightsaber (Blue).
	- Ahsoka Tano's Lightsaber (White) & Ahsoka Tano's Shoto Lightsaber (White).
	- Cal Kestis' Lightsaber (Survivor) & Cal Kestis' Shoto Lightsaber (Survivor).

Fixes
- Fixed an issue where the shield rotation was incorrect for Minecraft 26.1+.

--------------------------------------------------------------------------------
+   UPDATE [3.1]
    By: JustTimm

Additions
- Added support for the Respackopts mod.

Changes
- Made the Dark Saber's blade black section darker.
- Changed the texture for the yellow lightsaber blade color.

Fixes
- Fixed a texture issue for "Grand Inquisitor's Lightsaber (Crescent)".

--------------------------------------------------------------------------------
+   UPDATE [3.0]
    By: JustTimm
	
Version
- Now supports 1.20.2 up to 26.2.

Additions
- Taron Malicos' Lightsaber
- Taron Malicos' Shoto Lightsaber
- Devon Izara's Lightsaber
- Darth Maul's Lightsaber (Reforged)
	- NOTE: This is his the same model as "Darth Maul's Lightsaber (Vengeance)" but with a different texture.
- Darth Maul's Shoto Lightsaber (Reforged)

Changes
- Renamed "Darth Maul's Lightsaber (Reforged)" to "Darth Maul's Split Lightsaber (Reforged)".
- Changed first person perspective for blocking for all Maul's Lightsabers.

Fixes
- Fixed blade model for "Darth Maul's Split Lightsaber (Reforged)".

--------------------------------------------------------------------------------
+   UPDATE [2.9.2]
    By: JustTimm

Version
- Now supports 1.20.2 up to 26.1.1.

Fixes
- Fixed an issue where the resource pack did not work on 26.1.

--------------------------------------------------------------------------------
+   UPDATE [2.9.1]
    By: JustTimm

Version
- Now supports 1.20.2 up to 26.1.

Changes
- Updated the texture for Darth Maul's Lightsaber (Reforged).
- Renamed the following lightsabers:
	- Darth Maul's Lightsaber (Single Blade) -> Darth Maul's Lightsaber (Vengeance).
	- Luke Skywalker's Lightsaber (Green) -> Luke Skywalker's Lightsaber (Jedi Knight).

Fixes
- Fixed emissive parts of the textures for the following lightsabers:
	- Darth Maul's Lightsaber (Reforged)
	- Darth Maul's Lightsaber (Vengeance)

--------------------------------------------------------------------------------
+   UPDATE [2.9]
    By: JustTimm
	
Additions
- Ezra Bridger's Lightsaber (Nomad)

--------------------------------------------------------------------------------
+   UPDATE [2.8.2]
    By: JustTimm

Fixes
- Fixed an issue causing all lightsabers to be broken in 1.21.5–1.21.8.

--------------------------------------------------------------------------------
+   UPDATE [2.8.1]
    By: JustTimm

Version
- Now supports 1.20.2 up to 26.1 Snapshot 3.

Changes
- Added emissive parts to the following hilts:
	- Grand Inquisitor's Lightsaber (Full Ring)
	- Grand Inquisitor's Lightsaber (Crescent)
	- Second Sister's Lightsaber (Full Ring)
	- Second Sister's Lightsaber (Crescent)

Fixes
- Fixed an incorrect blade color on shields for the following lightsabers (1.21.5+):
	- Ahsoka Tano's Lightsaber (Blue)
	- Ahsoka Tano's Shoto Lightsaber (Blue)
	- Anakin Skywalker's Lightsaber (Red)
	- Cal Kestis' Lightsaber (Inquisitor)
	- Pong Krell's Lightsaber (Green)
	- Training Lightsaber (Green)

--------------------------------------------------------------------------------
+   UPDATE [2.8]
    By: JustTimm

Version
- Now supports 1.20.2 up to 1.21.11.

Additions
- Leia Organa's Lightsaber

Fixes
- Fixed "Ezra Bridger's Lightsaber (Padawan)" position in first person view when using the bow for 1.20.2–1.21.4.

--------------------------------------------------------------------------------
+   UPDATE [2.7]
    By: JustTimm

Version
- Now supports 1.20.2 up to 25w44a.

Additions
- Grand Inquisitor's Lightsaber (Full Ring)
- Grand Inquisitor's Lightsaber (Crescent)
- Second Sister's Lightsaber (Full Ring)
- Second Sister's Lightsaber (Crescent)

--------------------------------------------------------------------------------
+   UPDATE [2.6.1]
    By: JustTimm
	
Version
- Now supports 1.17 up to 25w42a.

Changes
- All lightsabers now display only the hilt in the GUI, when dropped and on shelves (1.21.5+ only).

Fixes
- Fixed Qimir's / The Stranger's Dagger Lightsaber display on shelves.
	
--------------------------------------------------------------------------------
+   UPDATE [2.6]
    By: JustTimm

Version
- Added support for 1.21.9.

Additions
- Added support for all lightsaber types to the Shield.

--------------------------------------------------------------------------------
+   UPDATE [2.5.5]
    By: JustTimm
	
Version
- Updated the pack to support 1.17–1.21.4 with OptiFine/CIT Resewn CIT and 1.21.5+ with vanilla CIT.

Changes
- Updated pack structure for compatibility with 1.17–1.21.4 (requires OptiFine/CIT Resewn) and 1.21.5+ (no OptiFine/CIT Resewn required).

--------------------------------------------------------------------------------
+   UPDATE [2.5.4]
    By: JustTimm

Version
- Updated to 25w34b

Changes
- Updated all lightsabers to display correctly on shelves.

Fixes
- Fixed rotation for the first-person view of "Cal Kestis' Lightsaber (Padawan)".
- Fixed rotation for the first- and third-person view of "Qimir's/The Stranger's Lightsaber".
- Fixed a texture issue on the ring of "Qimir’s/The Stranger’s Dagger Lightsaber."
	
--------------------------------------------------------------------------------
+   UPDATE [2.5.3]
    By: JustTimm

Version
- Updated to 25w31a

Additions
- Added support for all lightsaber types to the Copper Sword.

--------------------------------------------------------------------------------
+   UPDATE [2.5.2]
    By: JustTimm

Version
- Updated to 1.21.7

--------------------------------------------------------------------------------
+   UPDATE [2.5.1]
    By: JustTimm

Fixes
- Fixed an issue that caused the vanilla bow pulling textures to not display correctly.

--------------------------------------------------------------------------------
+   UPDATE [2.5]
    By: JustTimm

Additions
- Obi-Wan Kenobi's Lightsaber (Padawan)
- Obi-Wan Kenobi's Lightsaber (Jedi Knight)
- (Tak Rennod/Jod Na Nawood/Wim)'s Lightsaber (Discovered)

Changes
- Updated the logo background.
- Updated the position of "Qimir's/The Stranger's Dagger Lightsaber"
- Updated the display of all lightsaber hilts in the GUI.

Fixes
- Fixed an issue where you can't rename Stone Swords to get a lightsaber.
- Fixed the rotation of "Obi-Wan Kenobi's lightsaber (Jedi Master)" in the first- & third-person left hand.
- Fixed an issue where "Ezra Bridger's Lightsaber (Padawan)" was on for the bow.

--------------------------------------------------------------------------------
+   UPDATE [2.4]
    By: JustTimm

Additions
- Qimir's Split Lightsaber
- Qimir's Lightsaber
- Qimir's Dagger Lightsaber
- The Stranger's Split Lightsaber
- The Stranger's Lightsaber
- The Stranger's Dagger Lightsaber
- Baylan Skoll's Lightsaber

Fixes
- Fixed Qui-Gon Jinn's Lightsaber rotation in first person left hand.
- Fixed OptiFine emissive files.

--------------------------------------------------------------------------------
+   UPDATE [2.3.4]
    By: JustTimm
	
Version
- Updated to 1.21.5

--------------------------------------------------------------------------------
+   UPDATE [2.3.3]
    By: JustTimm
	
Version
- Updated to snapshot 25w10a
	
Fixes
- Fixed an issue where some default swords used the Iron Sword texture.

--------------------------------------------------------------------------------
+   UPDATE [2.3.2]
    By: JustTimm
	
Version
- Updated to snapshot 25w05a

Changes
- Updated the files so that the Resource Pack works in vanilla without OptiFine or CIT Resewn. (Works with 25w04a or higher.)
- Moved all models and textures.

Removed
- Removed OptiFine properties files

--------------------------------------------------------------------------------
+   UPDATE [2.3.1]
    By: JustTimm
	
Version
- Updated to 1.21.4

--------------------------------------------------------------------------------
+   UPDATE [2.3]
    By: JustTimm

Additions
- Vernestra Rwoh's Lightsaber
- Ki-Adi-Mundi's Lightsaber

--------------------------------------------------------------------------------
+   UPDATE [2.2.2]
    By: JustTimm

Version
- Updated to 1.21

Fixes
- Fixed an issue where the kyber crystal of "Darth Maul's Lightsaber (Reforged)" was glowing with the off version of the lightsaber.

--------------------------------------------------------------------------------
+   UPDATE [2.2.1]
    By: JustTimm

Fixes
- Fixed an issue where the crossguard blades of "Kylo Ren's Lightsaber" were glitching with the hilt. 

--------------------------------------------------------------------------------
+   UPDATE [2.2]
    By: JustTimm

Additions
- Kylo Ren's Lightsaber
- Mace Windu's Lightsaber

Changes
Updated the model for the following lightsabers:
- Anakin Skywalker Lightsaber (Jedi Knight)
- Anakin Skywalker Lightsaber (Red)
- Luke Skywalker Lightsaber (Episode IV)
- Luke Skywalker Lightsaber (Episode V)
- Rey's Lightsaber (Blue)
- Rey's Lightsaber (Reforged)

- Updated the GUI display for many lightsabers.
	
Fixes
- Fixed an issue where the lightsaber center of "Cal Kestis' Lightsaber (Crossguard)" was transparent blue instead of solid white.

--------------------------------------------------------------------------------
+   UPDATE [2.1]
    By: JustTimm

Additions
- Indara's Lightsaber
- Torbin's Lightsaber
- Jecki Lon's Lightsaber

--------------------------------------------------------------------------------
+   UPDATE [2.0]
    By: JustTimm

Additions
- Pong Krell's Lightsaber (Blue)
- Pong Krell's Lightsaber (Green)
- Training Lightsaber (Blue)
- Training Lightsaber (Green)
- Quinlan Vos' Lightsaber

--------------------------------------------------------------------------------
+   UPDATE [1.9]
    By: JustTimm
	
Additions
- Cal Kestis' Lightsaber (Inquisitor)
- Cal Kestis' Shoto Lightsaber (Survivor)
- Cal Kestis' Split Lightsaber (Survivor)
- Cal Kestis' Lightsaber (Crossguard)
- Changed the Mojang Studios logo to JustTimm's Lightsaber Workshop logo.

Changes
- Renamed "Cal kestis' Lightsaber" to "Cal kestis' Lightsaber (Rebuild)".
- You can now also get Count Dooku's Lightsaber by naming it "Lord Tyranus' Lightsaber".

--------------------------------------------------------------------------------
+   UPDATE [1.8]
    By: JustTimm

Additions
- Ezra Bridger's Lightsaber (Green)
- Sabine Wren's Lightsaber
- Caleb Dume's Lightsaber / Kanan Jarrus' Lightsaber
- Asajj Ventress' Lightsaber (Yellow)

Changes
- Updated Asajj Ventress' Lightsaber (Assassin) / (Double Blade) model and texture.

Fixes
- Fixed an issue where Asajj Ventress' Lightsaber (Double Blade) hilt was not positioned correctly when dropped.
- Fixed an issue where the Dark Saber would still emit light from the hilt with the off version (Stick).

--------------------------------------------------------------------------------
+   UPDATE [1.7]
    By: JustTimm

Additions
- Yoda's Lightsaber

Changes
- Made some minor changes to some model files for some performance improvements.
- Changed the lightsaber blades to be only have 1 cube.
- Changed Jaro Tapal/Cal Kestis' Lightsaber first-person view due to a glitch causing one part of the model to become invisible from the old viewpoint.
- Changed lightsaber blade color transparency.

Fixes
- Fixed an issue where the center of the blade for Assajj Ventress' Lightsaber (Double Blade) wasn't positioned correctly.

--------------------------------------------------------------------------------
+   UPDATE [1.6]
    By: JustTimm

Additions
- Cal Kestis' Lightsaber (Padawan)
- Asajj Ventress' Lightsaber (Assassin) / Asajj Ventress' Shoto Lightsaber (Assassin)
- Asajj Ventress' Lightsaber (Double Blade)
- Anakin Skywalker's Lightsaber (Padawan)

Changes
- Updated the logo.
- Updated Obi-Wan Kenobi's Lightsaber (Jedi Master).
- Updated Darth Vader's Lightsaber.
- Updated Darth Maul's Lightsaber (Reforged).

Some lightsabers have been renamed:
- Anakin Skywalker's Lightsaber (Episode III) -> Anakin Skywalker's Lightsaber (Jedi Knight)
- Obi-Wan Kenobi's Lightsaber (Episode III) -> Obi-Wan Kenobi's Lightsaber (Jedi Master)
- Darth Maul's Lightsaber (Episode I) -> Darth Maul's Lightsaber (Apprentice)

--------------------------------------------------------------------------------
+   UPDATE [1.5.1]
    By: JustTimm

Changes
- Updated the logo.

Fixes
- Fixed an issue where the blade texture was broken for Anakin Skywalker's Lightsaber (Episode III).
- Fixed an issue where some double bladed lightsaber hilts were not positioned correctly when dropped.

--------------------------------------------------------------------------------
+   UPDATE [1.5]
    By: JustTimm

Additions
- Qui-Gon Jinn's Lightsaber

Changes
- Updated the logo.

--------------------------------------------------------------------------------
+   UPDATE [1.4.2]
    By: JustTimm

Version
- Updated to 1.20.4
- The Resource Pack is now supported for 1.17 through 1.20.4.


Changes
- Removed the version number from the Resource Pack description and added the CIT Resewn as one of the 2 required mods.
- Most Lightsaber Hilt model files have been changed for overall performance improvements.

--------------------------------------------------------------------------------
+   UPDATE [1.4.1]
    By: JustTimm

Fixes
- Fixed an issue where Ahsoka Tano's Lightsaber (Green/Blue) wasn't positioned properly in the offhand.
- Fixed an issue where Darth Maul's Lightsaber (Reforged) position in the 3rd person left hand didn't match with the right hand.

--------------------------------------------------------------------------------
+   UPDATE [1.4]
    By: JustTimm

Additions
- Darth Maul's Lightsaber (Reforged)
- Savage Opress' Lightsaber

Changes
- Renamed Ezra Bridger's Lightsaber (Blue) to Ezra Bridger's Lightsaber (Padawan).
- Changed the crystal color for Darth Maul's lightsaber (Single Blade).

Fixes
- Fixed an issue where Ahsoka Tano's Shoto Lightsaber (Green/Blue) wasn't positioned properly when turned off.
- Fixed an issue where Jaro Tapal's Lightsaber & Cal Kestis' Lightsaber wasn't positioned properly when dropped.

--------------------------------------------------------------------------------
+   UPDATE [1.3.1]
    By: JustTimm
	
Fixes
- Fixed an issue where Darth Maul's Lightsaber (Single Blade) texture did not load.

--------------------------------------------------------------------------------
+   UPDATE [1.3]
    By: JustTimm

Additions
- Ezra Bridger's Lightsaber (Blue)
- Anakin Skywalker's Lightsaber (Red)
- Luke Skywalker's Lightsaber (Episode IV)
- Luke Skywalker's Lightsaber (Episode V)

Changes
- Anakin Skywalker and Rey's Reforged Lightsaber models have been merged for more optimization.
- Anakin Skywalker's Lightsaber (Episode III) texture has been changed.
- Rey's Lightsaber (Reforged) texture has been changed.
- Updated the lightsaber blade (emissive) textures so it looks better with shaders.

Fixes
- Fixed an issue where Ahsoka Tano's Lightsaber (White) wasn't positioned properly when turned off.

Removed
- Luke Skywalker's Lightsaber (Blue)

--------------------------------------------------------------------------------
+   UPDATE [1.2.1]
    By: JustTimm

Changes
- The "Skywalker Lightsaber" name has been removed. It can now be named "Anakin Skywalker's Lightsaber (Episode III)", "Luke Skywalker's Lightsaber (Blue)" and "Rey's Lightsaber (Blue)".
- "Skywalker Lightsaber (Reforged)" is now called "Rey's Lightsaber (Reforged)".
- "Luke Skywalker's Lightsaber" is now called "Luke Skywalker's Lightsaber (Green)".

--------------------------------------------------------------------------------
+   UPDATE [1.2]
    By: JustTimm

Additions
- Ahsoka Tano's Lightsaber (White)
- Ahsoka Tano's Shoto Lightsaber (White)

Fixes
- Fixed an issue where the Cal Kestis' Survivor Lightsaber wasn't positioned right in an Item Frame.

--------------------------------------------------------------------------------
+   UPDATE [1.1.1]
    By: JustTimm

Version
- Updated to 1.20.1

--------------------------------------------------------------------------------
+   UPDATE [1.1]
    By: JustTimm

Additions
- Cal Kestis' Lightsaber (Survivor)
- (Cal Kestis' / Jaro Tapal's) Lightsaber

--------------------------------------------------------------------------------
+   UPDATE [1.0.1]
    By: JustTimm

Version
- Updated to 1.19.4

Changes
- Changed some things in the background so that the pack has less models and performs better.

--------------------------------------------------------------------------------
+   UPDATE [1.0]
    By: JustTimm

Additions
- Skywalker Lightsaber
- Skywalker Lightsaber (Reforged)
- Darth Maul's Lightsaber (Episode I)
- Darth Maul's Lightsaber (Single Blade)
- Luke Skywalker's Lightsaber
- Obi-Wan Kenobi's Lightsaber
- Dark Saber
- Count Dooku's Lightsaber
- Ahsoka Tano's Lightsaber (Green/Blue)
- Ahsoka Tano's Shoto Lightsaber (Green/Blue)
- Darth Vader's Lightsaber